Bug 1748042 - [abrt] enable_irq: WARNING: CPU: 6 PID: 15006 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Summary: [abrt] enable_irq: WARNING: CPU: 6 PID: 15006 at kernel/irq/chip.c:210 irq_st...
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:80b9e816314a393acc04ab02aa0...
: 1758356 1767434 1767540 1770459 1778737 1778987 1783657 1783785 1785797 1785817 1786096 1786488 1787076 1787322 1787423 1788245 1795744 1795857 1807261 1812012 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-02 14:22 UTC by Ole Schönburg
Modified: 2020-03-13 09:35 UTC (History)
58 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---


Attachments (Terms of Use)
File: dmesg (89.82 KB, text/plain)
2019-09-02 14:22 UTC, Ole Schönburg
no flags Details

Description Ole Schönburg 2019-09-02 14:22:48 UTC
Additional info:
reporter:       libreport-2.10.1
WARNING: CPU: 6 PID: 15006 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: fuse rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter cmac ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables bnep sunrpc vfat fat btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev mc ecdh_generic ecc edac_mce_amd kvm_amd snd_hda_codec_conexant rtwpci ccp snd_hda_codec_generic rtw88 snd_hda_codec_hdmi kvm snd_hda_intel mac80211 snd_hda_codec irqbypass snd_hda_core snd_hwdep snd_seq crct10dif_pclmul crc32_pclmul snd_seq_device snd_pcm cfg80211 ghash_clmulni_intel thinkpad_acpi snd_timer
 ledtrig_audio ucsi_acpi snd typec_ucsi libarc4 rtsx_pci_ms sp5100_tco soundcore snd_pci_acp3x typec rfkill joydev k10temp wmi_bmof memstick i2c_piix4 i2c_scmi acpi_cpufreq amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel drm serio_raw nvme nvme_core r8169 rtsx_pci wmi video pinctrl_amd
CPU: 6 PID: 15006 Comm: kworker/u32:5 Not tainted 5.3.0-0.rc6.git0.1.fc31.x86_64 #1
Hardware name: LENOVO 20NE000BGE/20NE000BGE, BIOS R11ET25W (1.05 ) 04/04/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffad838827bc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff91576200 RDI: ffff8aedae120c30
RBP: ffff8aeda553ba00 R08: 0000000000000000 R09: ffff8aedae831050
R10: 0000000000000000 R11: ffffffff91455488 R12: 0000000000000001
R13: ffff8aedae120c30 R14: 0000000000000000 R15: ffff8aedae59b000
FS:  0000000000000000(0000) GS:ffff8aedb0980000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000560c0b4688d8 CR3: 000000034c48e000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Potential duplicate: bug 1695249

Comment 1 Ole Schönburg 2019-09-02 14:22:53 UTC
Created attachment 1610777 [details]
File: dmesg

Comment 2 Ole Schönburg 2019-09-02 18:01:32 UTC
Description of problem:
Wakeup from sleep

Version-Release number of selected component:
kernel-core-5.3.0-0.rc6.git0.1.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.0-0.rc6.git0.1.fc31.x86_64 root=UUID=4c772fc4-b6d2-4970-a93c-83a811ec32e4 ro rhgb quiet
crash_function: enable_irq
kernel:         5.3.0-0.rc6.git0.1.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 9246 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: ccm fuse rfcomm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c cmac ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables bnep sunrpc vfat fat btusb btrtl btbcm btintel uvcvideo bluetooth videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev mc ecdh_generic ecc edac_mce_amd kvm_amd ccp kvm snd_hda_codec_conexant snd_hda_codec_hdmi snd_hda_codec_generic rtwpci rtw88 irqbypass snd_hda_intel snd_hda_codec mac80211 snd_hda_core crct10dif_pclmul crc32_pclmul snd_hwdep snd_seq snd_seq_device ghash_clmulni_intel snd_pcm cfg80211 joydev wmi_bmof thinkpad_acpi
 k10temp sp5100_tco snd_timer snd_pci_acp3x rtsx_pci_ms ledtrig_audio i2c_piix4 ucsi_acpi typec_ucsi memstick snd libarc4 soundcore typec rfkill i2c_scmi acpi_cpufreq amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crc32c_intel drm_kms_helper nvme drm serio_raw rtsx_pci r8169 nvme_core wmi video pinctrl_amd
CPU: 4 PID: 9246 Comm: kworker/u32:1 Not tainted 5.3.0-0.rc6.git0.1.fc31.x86_64 #1
Hardware name: LENOVO 20NE000BGE/20NE000BGE, BIOS R11ET25W (1.05 ) 04/04/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffa17f8a6cfc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffba576200 RDI: ffff92e264caa3c0
RBP: ffff92e264e13a00 R08: 0000000000000000 R09: ffff92e266a384e8
R10: 0000000000000000 R11: ffffffffba455488 R12: 0000000000000001
R13: ffff92e264caa3c0 R14: 0000000000000000 R15: ffff92e26c4a7000
FS:  0000000000000000(0000) GS:ffff92e270900000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fd9822f0876 CR3: 000000030783a000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 3 penguin283 2019-09-16 20:02:11 UTC
Description of problem:
F31 Still getting the same error message after coming out of sleep

Version-Release number of selected component:
kernel-core-5.3.0-0.rc6.git0.1.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd2,gpt2)/vmlinuz-5.3.0-0.rc6.git0.1.fc31.x86_64 root=/dev/mapper/fedora_localhost--live00-root ro resume=/dev/mapper/fedora_localhost--live00-swap rd.lvm.lv=fedora_localhost-live00/root rd.lvm.lv=fedora_localhost-live00/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.0-0.rc6.git0.1.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 5934 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: tun nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables sunrpc vfat fat edac_mce_amd ccp kvm irqbypass snd_hda_codec_realtek crct10dif_pclmul snd_hda_codec_generic crc32_pclmul ledtrig_audio snd_hda_codec_hdmi snd_hda_intel ghash_clmulni_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device eeepc_wmi asus_wmi snd_pcm sparse_keymap rfkill wmi_bmof k10temp sp5100_tco i2c_piix4 snd_timer snd soundcore gpio_amdpt acpi_cpufreq gpio_generic amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel drm nvme nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 1 PID: 5934 Comm: kworker/u64:20 Not tainted 5.3.0-0.rc6.git0.1.fc31.x86_64 #1
Hardware name: System manufacturer System Product Name/PRIME B350M-E, BIOS 5204 07/29/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb12c036ffc10 EFLAGS: 00010002
RAX: 0000000000000020 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff84576200 RDI: ffff8c640e935dd8
RBP: ffff8c640d9d8600 R08: 0000000000000000 R09: ffff8c640d70a740
R10: 0000000000000000 R11: ffffffff84455488 R12: 0000000000000001
R13: ffff8c640e935dd8 R14: 0000000000000000 R15: ffff8c640c179000
FS:  0000000000000000(0000) GS:ffff8c6418640000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000056039b549120 CR3: 000000021330e000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 4 Michael 2019-09-18 16:45:01 UTC
Description of problem:
Wake up from sleep

Version-Release number of selected component:
kernel-core-5.3.0-0.rc6.git0.1.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.0-0.rc6.git0.1.fc31.x86_64 root=UUID=4a5b900f-45f1-4b2f-849b-cc4204028ee3 ro rhgb quiet
crash_function: enable_irq
kernel:         5.3.0-0.rc6.git0.1.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 4492 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cdc_mbim cdc_wdm cdc_ncm cmac bnep sunrpc dm_crypt vfat fat btusb btrtl btbcm btintel bluetooth cdc_ether usbnet qcserial mii uvcvideo usb_wwan videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev ecdh_generic ecc mc intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel mei_hdcp mei_wdt kvm iTCO_wdt iTCO_vendor_support iwlmvm irqbypass crct10dif_pclmul crc32_pclmul mac80211 ghash_clmulni_intel
 snd_hda_codec_realtek intel_cstate snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi intel_uncore snd_hda_intel libarc4 intel_rapl_perf snd_hda_codec iwlwifi snd_hda_core snd_hwdep joydev snd_seq cfg80211 snd_seq_device hp_wmi sparse_keymap snd_pcm wmi_bmof mei_me rtsx_pci_ms snd_timer i2c_i801 lpc_ich memstick rfkill snd mei soundcore hp_accel lis3lv02d input_polldev hp_wireless i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit nvme drm_kms_helper crc32c_intel drm nvme_core serio_raw rtsx_pci e1000e wmi video fuse
CPU: 0 PID: 4492 Comm: kworker/u16:11 Not tainted 5.3.0-0.rc6.git0.1.fc31.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 820 G2/225A, BIOS M71 Ver. 01.28 04/18/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb7c980b6fc10 EFLAGS: 00010002
RAX: 0000000000000008 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9c576200 RDI: ffff9c3efd01aef8
RBP: ffff9c3ef70d5c00 R08: 0000000000000000 R09: ffff9c3efd803f90
R10: 0000000000000000 R11: ffffffff9c455488 R12: 0000000000000001
R13: ffff9c3efd01aef8 R14: 0000000000000000 R15: ffff9c3ef6b17800
FS:  0000000000000000(0000) GS:ffff9c3effa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000558f539d2a76 CR3: 000000021c40a006 CR4: 00000000003606f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x35/0x40

Comment 5 Michael 2019-09-22 10:55:38 UTC
Description of problem:
Wake up from sleep

Version-Release number of selected component:
kernel-core-5.3.0-1.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.0-1.fc31.x86_64 root=UUID=4a5b900f-45f1-4b2f-849b-cc4204028ee3 ro systemd.unified_cgroup_hierarchy=0 rhgb quiet
crash_function: enable_irq
kernel:         5.3.0-1.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 7144 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rfcomm xt_addrtype ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables cdc_mbim iptable_filter cdc_wdm ip_tables cdc_ncm cmac bnep sunrpc dm_crypt vfat fat btusb btrtl cdc_ether btbcm usbnet btintel qcserial usb_wwan mii bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev ecdh_generic ecc mc intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel kvm iwlmvm mei_wdt mei_hdcp iTCO_wdt mac80211 iTCO_vendor_support snd_hda_codec_realtek snd_hda_codec_generic irqbypass
 ledtrig_audio snd_hda_codec_hdmi crct10dif_pclmul crc32_pclmul snd_hda_intel libarc4 snd_hda_codec iwlwifi ghash_clmulni_intel intel_cstate intel_uncore intel_rapl_perf snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm cfg80211 joydev hp_wmi wmi_bmof sparse_keymap rtsx_pci_ms i2c_i801 memstick rfkill snd_timer lpc_ich snd mei_me mei soundcore hp_accel lis3lv02d input_polldev hp_wireless i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit drm_kms_helper crc32c_intel drm nvme e1000e nvme_core serio_raw rtsx_pci wmi video fuse
CPU: 2 PID: 7144 Comm: kworker/u16:11 Not tainted 5.3.0-1.fc31.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 820 G2/225A, BIOS M71 Ver. 01.28 04/18/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb06084873c10 EFLAGS: 00010002
RAX: 0000000000000008 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffa0576200 RDI: ffff9e7977054a70
RBP: ffff9e7976ac2c00 R08: 0000000000000000 R09: ffff9e797d8021e8
R10: 0000000000000000 R11: ffffffffa0455488 R12: 0000000000000001
R13: ffff9e7977054a70 R14: 0000000000000000 R15: ffff9e7977163800
FS:  0000000000000000(0000) GS:ffff9e797fa80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9cd76f5706 CR3: 000000010940a001 CR4: 00000000003606e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x35/0x40

Comment 6 Michael 2019-09-28 09:58:14 UTC
Description of problem:
Wake up from sleep

Version-Release number of selected component:
kernel-core-5.3.1-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.1-300.fc31.x86_64 root=UUID=4a5b900f-45f1-4b2f-849b-cc4204028ee3 ro systemd.unified_cgroup_hierarchy=0 rhgb quiet
crash_function: enable_irq
kernel:         5.3.1-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 4772 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rfcomm xt_addrtype ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cdc_mbim cdc_wdm cdc_ncm cmac bnep sunrpc dm_crypt vfat fat btusb btrtl btbcm btintel bluetooth uvcvideo cdc_ether videobuf2_vmalloc usbnet videobuf2_memops videobuf2_v4l2 videobuf2_common qcserial mii usb_wwan videodev ecdh_generic mc ecc intel_rapl_msr intel_rapl_common x86_pkg_temp_thermal intel_powerclamp coretemp kvm_intel mei_hdcp mei_wdt iTCO_wdt iTCO_vendor_support kvm irqbypass crct10dif_pclmul crc32_pclmul iwlmvm ghash_clmulni_intel intel_cstate
 mac80211 snd_hda_codec_realtek intel_uncore snd_hda_codec_generic ledtrig_audio intel_rapl_perf snd_hda_codec_hdmi libarc4 snd_hda_intel snd_hda_codec iwlwifi snd_hda_core snd_hwdep snd_seq snd_seq_device snd_pcm joydev hp_accel wmi_bmof cfg80211 hp_wmi sparse_keymap lis3lv02d input_polldev hp_wireless i2c_i801 snd_timer mei_me lpc_ich snd rtsx_pci_ms mei rfkill memstick soundcore i915 rtsx_pci_sdmmc mmc_core i2c_algo_bit nvme drm_kms_helper crc32c_intel e1000e drm nvme_core serio_raw rtsx_pci wmi video fuse
CPU: 0 PID: 4772 Comm: kworker/u16:13 Not tainted 5.3.1-300.fc31.x86_64 #1
Hardware name: Hewlett-Packard HP EliteBook 820 G2/225A, BIOS M71 Ver. 01.29 08/29/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0000:ffffafe8016f7c10 EFLAGS: 00010002
RAX: 0000000000000008 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9b576200 RDI: ffff908eb6726b08
RBP: ffff908eb6622800 R08: 0000000000000000 R09: ffff908ebd800b18
R10: 0000000000000000 R11: ffffffff9b455488 R12: 0000000000000001
R13: ffff908eb6726b08 R14: 0000000000000000 R15: ffff908eb72d7800
FS:  0000000000000000(0000) GS:ffff908ebfa00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f4bc00101f6 CR3: 00000003a540a006 CR4: 00000000003606f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x35/0x40

Comment 7 efreeti 2019-10-03 21:56:02 UTC
*** Bug 1758356 has been marked as a duplicate of this bug. ***

Comment 8 efreeti 2019-10-06 23:56:56 UTC
Description of problem:
The laptop was left turned on overnight (lid closed, power cable and a wired headset connected). After power and headset cables are disconnected, when the lid is opened, screen was just black and unresponsive.

It is noted that the crash may be induced by power disconnect because the machine has not been shut down for a few days. Opening and closing the lid did not cause any problem during tha time.

Version-Release number of selected component:
kernel-core-5.3.2-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt5)/vmlinuz-5.3.2-300.fc31.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.2-300.fc31.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 77427 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rfcomm ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute cmac ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables bnep sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp snd_hda_codec_realtek iwlmvm kvm snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel mac80211 irqbypass snd_hda_codec uvcvideo btusb snd_hda_core crct10dif_pclmul libarc4 btrtl videobuf2_vmalloc btbcm videobuf2_memops crc32_pclmul videobuf2_v4l2 snd_hwdep btintel videobuf2_common snd_seq ghash_clmulni_intel bluetooth iwlwifi videodev snd_seq_device snd_pcm mc thinkpad_acpi wmi_bmof k10temp ecdh_generic ecc sp5100_tco snd_timer ledtrig_audio
 rtsx_pci_ms joydev i2c_piix4 cfg80211 snd_pci_acp3x memstick ipmi_devintf ipmi_msghandler snd ucsi_acpi typec_ucsi soundcore typec rfkill i2c_scmi acpi_cpufreq amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crc32c_intel drm_kms_helper serio_raw drm nvme rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 6 PID: 77427 Comm: kworker/u32:4 Not tainted 5.3.2-300.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET43W(1.13 ) 08/15/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb165499efc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff94576200 RDI: ffff9a72fca09050
RBP: ffff9a72ec24ba00 R08: 0000000000000000 R09: ffff9a72eb8852b8
R10: 0000000000000000 R11: ffffffff94455488 R12: 0000000000000001
R13: ffff9a72fca09050 R14: 0000000000000000 R15: ffff9a72faf31000
FS:  0000000000000000(0000) GS:ffff9a72feb80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055b27d64e6c6 CR3: 0000000168592000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 9 efreeti 2019-10-07 10:48:52 UTC
Description of problem:
Power settings have the laptop screen to be blank screen after left idle for more than 15 minutes, then bug message appeared when woke up.

Version-Release number of selected component:
kernel-core-5.3.2-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt5)/vmlinuz-5.3.2-300.fc31.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.2-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 10244 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rfcomm ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm iwlmvm irqbypass snd_hda_codec_realtek mac80211 snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul uvcvideo crc32_pclmul snd_hda_intel videobuf2_vmalloc videobuf2_memops btusb btrtl videobuf2_v4l2 snd_hda_codec btbcm btintel videobuf2_common ghash_clmulni_intel libarc4 snd_hda_core bluetooth videodev snd_hwdep iwlwifi wmi_bmof snd_seq mc snd_seq_device ecdh_generic joydev snd_pcm ecc k10temp sp5100_tco i2c_piix4 cfg80211 thinkpad_acpi
 snd_pci_acp3x snd_timer ledtrig_audio ucsi_acpi ipmi_devintf rtsx_pci_ms typec_ucsi ipmi_msghandler snd memstick typec soundcore rfkill i2c_scmi acpi_cpufreq ip_tables amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel drm serio_raw nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 2 PID: 10244 Comm: kworker/u32:1 Not tainted 5.3.2-300.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET43W(1.13 ) 08/15/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb735ca23fc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff99576200 RDI: ffff9b2bf73cbe58
RBP: ffff9b2bee77a000 R08: 0000000000000000 R09: ffff9b2beed00be0
R10: 0000000000000000 R11: ffffffff99455488 R12: 0000000000000001
R13: ffff9b2bf73cbe58 R14: 0000000000000000 R15: ffff9b2bf70fd000
FS:  0000000000000000(0000) GS:ffff9b2bf8880000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055ea118b2656 CR3: 00000000a4678000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 10 efreeti 2019-10-13 11:32:09 UTC
Description of problem:
Wake up from sleep, crash message appears.

Version-Release number of selected component:
kernel-core-5.3.5-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt5)/vmlinuz-5.3.5-300.fc31.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.5-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 1672 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: ccm uinput rfcomm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp iwlmvm kvm snd_hda_codec_realtek mac80211 snd_hda_codec_generic snd_hda_codec_hdmi irqbypass snd_hda_intel snd_hda_codec crct10dif_pclmul uvcvideo btusb crc32_pclmul libarc4 videobuf2_vmalloc snd_hda_core btrtl btbcm btintel videobuf2_memops ghash_clmulni_intel videobuf2_v4l2 snd_hwdep iwlwifi bluetooth videobuf2_common snd_seq videodev snd_seq_device mc joydev wmi_bmof
 cfg80211 ecdh_generic snd_pcm thinkpad_acpi ecc k10temp sp5100_tco i2c_piix4 snd_pci_acp3x ledtrig_audio snd_timer rtsx_pci_ms ipmi_devintf ucsi_acpi snd typec_ucsi soundcore ipmi_msghandler memstick typec rfkill i2c_scmi acpi_cpufreq ip_tables amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel serio_raw drm nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 4 PID: 1672 Comm: kworker/u32:7 Not tainted 5.3.5-300.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET43W(1.13 ) 08/15/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffbdb343293c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb95762c0 RDI: ffff963076a0c918
RBP: ffff963076e41e00 R08: 0000000000000000 R09: ffff96306ebc0998
R10: 0000000000000000 R11: ffffffffb9455488 R12: 0000000000000001
R13: ffff963076a0c918 R14: 0000000000000000 R15: ffff96307715f000
FS:  0000000000000000(0000) GS:ffff963078900000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fcfbdc20ac6 CR3: 0000000192f44000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 11 caoimhe 2019-10-15 20:44:25 UTC
Description of problem:
Closed the lid to suspend the laptop (Thinkpad X395) and opened it again. The error was reported when resuming, but it could have happened during suspend.

Version-Release number of selected component:
kernel-core-5.3.5-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.5-300.fc31.x86_64 root=/dev/mapper/vg_leabhar-lv_root ro resume=/dev/mapper/vg_leabhar-lv_swap rd.luks.uuid=luks-07ad2b9a-e22b-48cc-8ff3-cc90de3a1d72 rd.lvm.lv=vg_leabhar/lv_root rd.lvm.lv=vg_leabhar/lv_swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.5-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 6331 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat iwlmvm snd_hda_codec_realtek mac80211 snd_hda_codec_generic snd_hda_codec_hdmi edac_mce_amd snd_hda_intel snd_hda_codec libarc4 kvm_amd uvcvideo snd_hda_core ccp snd_hwdep videobuf2_vmalloc snd_seq videobuf2_memops videobuf2_v4l2 kvm videobuf2_common btusb snd_seq_device btrtl iwlwifi btbcm btintel videodev snd_pcm bluetooth mc irqbypass joydev cfg80211 ecdh_generic wmi_bmof snd_timer thinkpad_acpi sp5100_tco ecc i2c_piix4
 ledtrig_audio k10temp rtsx_pci_ms ipmi_devintf snd_pci_acp3x snd memstick ipmi_msghandler soundcore ucsi_acpi typec_ucsi rfkill typec i2c_scmi acpi_cpufreq ip_tables dm_crypt amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit rtsx_pci_sdmmc ttm mmc_core drm_kms_helper drm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel serio_raw nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 4 PID: 6331 Comm: kworker/u32:7 Not tainted 5.3.5-300.fc31.x86_64 #1
Hardware name: LENOVO 20NLCTO1WW/20NLCTO1WW, BIOS R13ET37W(1.11 ) 08/22/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffaf34490e7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffaa5762c0 RDI: ffff9edaee01b810
RBP: ffff9edae64e2200 R08: 0000000000000000 R09: ffff9edae4e6d978
R10: 0000000000000000 R11: ffffffffaa455488 R12: 0000000000000001
R13: ffff9edaee01b810 R14: 0000000000000000 R15: ffff9edaeb003000
FS:  0000000000000000(0000) GS:ffff9edaf0900000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f9260065538 CR3: 0000000371fe6000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 12 Angie 2019-10-23 03:34:35 UTC
Description of problem:
Put system to sleep by holding ALT key and clicking on suspend pause symbol circle on-screen buttom  from GNOME upper right menu

Version-Release number of selected component:
kernel-core-5.3.4-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt8)/vmlinuz-5.3.4-300.fc31.x86_64 root=/dev/mapper/fedora_matilda-root ro resume=/dev/mapper/fedora_matilda-swap rd.lvm.lv=fedora_matilda/root rd.lvm.lv=fedora_leigh/swap rd.lvm.lv=fedora_matilda/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.4-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 10 PID: 28269 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter nct6775 hwmon_vid lm92 sunrpc vfat fat edac_mce_amd kvm_amd snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel kvm snd_hda_codec snd_hda_core snd_hwdep irqbypass snd_seq snd_seq_device crct10dif_pclmul crc32_pclmul snd_pcm eeepc_wmi asus_wmi sparse_keymap rfkill joydev ghash_clmulni_intel snd_timer video snd wmi_bmof mxm_wmi sp5100_tco ccp i2c_piix4 k10temp soundcore acpi_cpufreq ip_tables amdgpu amd_iommu_v2 gpu_sched ttm
 drm_kms_helper drm crc32c_intel igb nvme nvme_core dca i2c_algo_bit wmi pinctrl_amd fuse
CPU: 10 PID: 28269 Comm: kworker/u64:21 Not tainted 5.3.4-300.fc31.x86_64 #1
Hardware name: System manufacturer System Product Name/ROG CROSSHAIR VIII HERO, BIOS 1001 09/09/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffbe448a11fc10 EFLAGS: 00010002
RAX: 0000000000000020 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb9576280 RDI: ffff9f363aae3470
RBP: ffff9f362f532c00 R08: 0000000000000000 R09: ffff9f3630c6cce0
R10: 0000000000000000 R11: ffffffffb9455488 R12: 0000000000000001
R13: ffff9f363aae3470 R14: 0000000000000000 R15: ffff9f362d2ba000
FS:  0000000000000000(0000) GS:ffff9f363ea80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f60c5fa8ac6 CR3: 00000006d344e000 CR4: 0000000000340ee0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 13 Michael Madsen 2019-10-31 13:13:24 UTC
*** Bug 1767434 has been marked as a duplicate of this bug. ***

Comment 14 froylan 2019-10-31 16:24:50 UTC
*** Bug 1767540 has been marked as a duplicate of this bug. ***

Comment 15 Louis 2019-11-09 12:46:20 UTC
*** Bug 1770459 has been marked as a duplicate of this bug. ***

Comment 16 Aaron 2019-11-11 19:20:15 UTC
Description of problem:
Woke up ThinkPad E485 from sleep mode. 

Version-Release number of selected component:
kernel-core-5.3.8-300.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.8-300.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-5f819b80-15b9-48c2-9d59-5288c6e58241 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.8-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 2773 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat iwlmvm btusb snd_hda_codec_conexant mac80211 btrtl snd_hda_codec_generic btbcm edac_mce_amd btintel snd_hda_codec_hdmi bluetooth kvm_amd snd_hda_intel ccp libarc4 snd_hda_codec kvm iwlwifi snd_hda_core snd_hwdep irqbypass snd_seq snd_seq_device joydev ecdh_generic wmi_bmof snd_pcm ecc k10temp cfg80211 sp5100_tco i2c_piix4 thinkpad_acpi snd_timer ucsi_acpi ledtrig_audio snd typec_ucsi typec soundcore rfkill i2c_scmi acpi_cpufreq
 ip_tables dm_crypt amdgpu amd_iommu_v2 gpu_sched crct10dif_pclmul i2c_algo_bit crc32_pclmul ttm crc32c_intel drm_kms_helper ghash_clmulni_intel drm sdhci_pci cqhci nvme serio_raw sdhci mmc_core r8169 nvme_core wmi video fuse
CPU: 6 PID: 2773 Comm: kworker/u32:5 Not tainted 5.3.8-300.fc31.x86_64 #1
Hardware name: LENOVO 20KUCTO1WW/20KUCTO1WW, BIOS R0UET75W (1.55 ) 09/18/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffff992541c43c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffa9576340 RDI: ffff8a79fb1b6760
RBP: ffff8a79f3febe00 R08: 0000000000000000 R09: ffff8a79f36422a8
R10: 0000000000000000 R11: ffffffffa9455488 R12: 0000000000000001
R13: ffff8a79fb1b6760 R14: 0000000000000000 R15: ffff8a79f92b1000
FS:  0000000000000000(0000) GS:ffff8a79ff180000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000f6e47453000 CR3: 000000041412c000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 17 Michael Madsen 2019-11-26 13:33:34 UTC
Description of problem:
I started my computer up from s suspended state

Version-Release number of selected component:
kernel-core-5.3.11-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt6)/vmlinuz-5.3.11-300.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.11-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 5120 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat squashfs zstd_decompress loop btusb btrtl btbcm btintel bluetooth uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev ecdh_generic ecc mc edac_mce_amd ccp kvm rtwpci snd_hda_codec_realtek rtw88 irqbypass snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel mac80211 crct10dif_pclmul snd_hda_codec crc32_pclmul snd_hda_core snd_hwdep ghash_clmulni_intel snd_seq hp_wmi snd_seq_device
 joydev sparse_keymap wmi_bmof snd_pcm cfg80211 sp5100_tco k10temp snd_timer i2c_piix4 ucsi_acpi snd rtsx_pci_ms typec_ucsi soundcore memstick rfkill libarc4 typec hp_accel lis3lv02d i2c_scmi hp_wireless input_polldev acpi_cpufreq ip_tables amdgpu rtsx_pci_sdmmc amd_iommu_v2 mmc_core gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel drm serio_raw nvme nvme_core rtsx_pci wmi video pinctrl_amd i2c_hid fuse
CPU: 4 PID: 5120 Comm: kworker/u32:4 Not tainted 5.3.11-300.fc31.x86_64 #1
Hardware name: HP HP ENVY x360 Convertible 13-ag0xxx/8496, BIOS F.35 04/02/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffa177c8dcfc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9f576380 RDI: ffff8b4515dd19a8
RBP: ffff8b450d918e00 R08: 0000000000000000 R09: ffff8b450d393040
R10: 0000000000000000 R11: ffffffff9f4554c8 R12: 0000000000000001
R13: ffff8b4515dd19a8 R14: 0000000000000000 R15: ffff8b45165db000
FS:  0000000000000000(0000) GS:ffff8b4517d00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055ce696d70b8 CR3: 000000019cbca000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 18 Insang Ryu 2019-12-02 12:10:59 UTC
*** Bug 1778737 has been marked as a duplicate of this bug. ***

Comment 19 nathan.kodiappan 2019-12-03 02:14:56 UTC
*** Bug 1778987 has been marked as a duplicate of this bug. ***

Comment 20 Dimitris 2019-12-03 19:09:10 UTC
Description of problem:
ABRT alert on resume from S3 sleep

Version-Release number of selected component:
kernel-core-5.3.13-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.13-300.fc31.x86_64 root=/dev/mapper/main-root ro resume=/dev/mapper/main-swap rd.luks.uuid=luks-35d15ff6-ffcb-45ac-886a-6292ab8bf9d9 rd.lvm.lv=main/root rd.lvm.lv=main/swap acpi_osi=Linux rhgb quiet
crash_function: enable_irq
kernel:         5.3.13-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 12914 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uhid uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev mc btusb btrtl btbcm btintel bluetooth ecdh_generic ecc iwlmvm snd_hda_codec_realtek edac_mce_amd mac80211 snd_hda_codec_generic snd_hda_codec_hdmi kvm_amd ccp snd_hda_intel snd_hda_codec libarc4 kvm snd_hda_core snd_hwdep snd_seq iwlwifi irqbypass snd_seq_device joydev snd_pcm sp5100_tco wmi_bmof k10temp cfg80211 i2c_piix4 snd_pci_acp3x
 thinkpad_acpi rtsx_pci_ms snd_timer ledtrig_audio memstick ipmi_devintf ipmi_msghandler ucsi_acpi snd typec_ucsi typec soundcore rfkill i2c_scmi acpi_cpufreq ip_tables dm_crypt amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crct10dif_pclmul drm_kms_helper crc32_pclmul crc32c_intel drm ghash_clmulni_intel serio_raw rtsx_pci nvme r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 7 PID: 12914 Comm: kworker/u32:7 Not tainted 5.3.13-300.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET46W(1.16 ) 10/28/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffa9ec4141bc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff93576380 RDI: ffff98885c908340
RBP: ffff988853e0ea00 R08: 0000000000000000 R09: ffff9888532de500
R10: 0000000000000000 R11: ffffffff934554c8 R12: 0000000000000001
R13: ffff98885c908340 R14: 0000000000000000 R15: ffff98885a8ef000
FS:  0000000000000000(0000) GS:ffff9888609c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f2e0aa9b510 CR3: 00000005f6634000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 21 Jonathan Haas 2019-12-07 08:57:09 UTC
Description of problem:
Resuming after standby

Version-Release number of selected component:
kernel-core-5.3.12-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.12-300.fc31.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.12-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 10 PID: 8588 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uas usb_storage uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel iwlmvm snd_hda_codec edac_mce_amd mac80211 snd_hda_core snd_hwdep kvm_amd snd_seq kvm libarc4 snd_seq_device iwlwifi btusb irqbypass snd_pcm btrtl btbcm btintel crct10dif_pclmul bluetooth cfg80211 crc32_pclmul snd_timer joydev sp5100_tco ecdh_generic ghash_clmulni_intel wmi_bmof k10temp snd i2c_piix4 ecc ccp rfkill soundcore
 gpio_amdpt gpio_generic acpi_cpufreq ip_tables hid_logitech_hidpp amdgpu amd_iommu_v2 gpu_sched ttm hid_logitech_dj drm_kms_helper drm igb crc32c_intel nvme dca i2c_algo_bit nvme_core wmi pinctrl_amd hid_cherry fuse
CPU: 10 PID: 8588 Comm: kworker/u64:28 Not tainted 5.3.12-300.fc31.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./B450 Gaming-ITX/ac, BIOS P3.40 07/17/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffaf6bc0ec3c10 EFLAGS: 00010002
RAX: 0000000000000020 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffbb576380 RDI: ffffa06c8bfafbe8
RBP: ffffa06c83844a00 R08: 0000000000000000 R09: ffffa06c8c481398
R10: 0000000000000000 R11: ffffffffbb4554c8 R12: 0000000000000001
R13: ffffa06c8bfafbe8 R14: 0000000000000000 R15: ffffa06c819ea000
FS:  0000000000000000(0000) GS:ffffa06c8e880000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ff97c0812a0 CR3: 0000000101e5a000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 22 Bogdan 2019-12-09 05:02:04 UTC
Description of problem:
1. closed laptop lid - did not complete suspend but also did not wake up fully, was just stuck
2. powered off
3. powered on
4. logged back in and found this report waiting

happens every time but if i suspend/sleep without closing the lid, it works fine, goes to sleep and wakes up normally.

Laptop is a Lenovo IdeaPad s340-14API with an AMD Ryzen 7 3700U that has an integrated Vega 10 GPU

Version-Release number of selected component:
kernel-core-5.3.14-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.14-300.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.14-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 2501 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: ccm rfcomm ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat edac_mce_amd kvm_amd snd_hda_codec_realtek ath10k_pci ccp snd_hda_codec_generic ath10k_core snd_hda_codec_hdmi ledtrig_audio kvm uvcvideo btusb snd_hda_intel btrtl videobuf2_vmalloc btbcm videobuf2_memops btintel snd_hda_codec videobuf2_v4l2 bluetooth mac80211 irqbypass videobuf2_common snd_hda_core videodev snd_hwdep crct10dif_pclmul crc32_pclmul snd_seq mc ecdh_generic ath snd_seq_device ecc snd_pcm ghash_clmulni_intel k10temp joydev wmi_bmof cfg80211 snd_timer sp5100_tco rtsx_pci_ms i2c_piix4 snd_pci_acp3x memstick ideapad_laptop snd sparse_keymap soundcore
 libarc4 rfkill acpi_cpufreq ip_tables amdgpu amd_iommu_v2 gpu_sched rtsx_pci_sdmmc i2c_algo_bit mmc_core ttm hid_multitouch drm_kms_helper nvme drm crc32c_intel serio_raw nvme_core rtsx_pci wmi video pinctrl_amd i2c_hid fuse
CPU: 0 PID: 2501 Comm: kworker/u32:11 Not tainted 5.3.14-300.fc31.x86_64 #1
Hardware name: LENOVO 81NB/LNVNB161216, BIOS AMCN26WW(V1.09) 11/15/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb763039d7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff91576380 RDI: ffff9f6a47248c68
RBP: ffff9f6a3e419000 R08: 0000000000000000 R09: ffff9f6a3dfc84f8
R10: 0000000000000000 R11: ffffffff914554c8 R12: 0000000000000001
R13: ffff9f6a47248c68 R14: 0000000000000000 R15: ffff9f6a44a19000
FS:  0000000000000000(0000) GS:ffff9f6a48800000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055a09143ff96 CR3: 00000001275d8000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 23 Bogdan 2019-12-09 05:26:12 UTC
Ignore my comment about the laptop lid, it was pure coincidence that sleep worked fine when initiating via key or menu. It happens no matter how sleep is triggered, but it does not happen every time. Just most times.

Comment 24 Bogdan 2019-12-09 05:30:17 UTC
And just to clarify even more, the system hangs while trying to enter sleep, not while coming back. It never finishes the going to sleep procedure, the power led doesn't even get to flash (sleep mode signaling) it stays lit in solid state and the laptop is completely unresponsive.

Comment 25 Bogdan 2019-12-09 16:35:48 UTC
This is somehow related to the integrated GPU. I have solved the suspend failures by disabling the plasma (kde) compositor and all desktop effects. Basically I noticed that I could suspend fine from outside KDE plasma, and I could suspend fine if i had just logged into the plasma session, but not after triggering effects.

TLDR; current workaround is to disable any and all effects and not allow anything to and enable/use some GPU features. In plasma(kde) this can easily be achieved by disabling the compositor.

Comment 26 fedora_45sg 2019-12-14 13:53:13 UTC
*** Bug 1783657 has been marked as a duplicate of this bug. ***

Comment 27 Ivan Samokhin 2019-12-15 17:30:36 UTC
*** Bug 1783785 has been marked as a duplicate of this bug. ***

Comment 28 Savio 2019-12-21 03:22:56 UTC
*** Bug 1785797 has been marked as a duplicate of this bug. ***

Comment 29 George 2019-12-21 09:46:15 UTC
*** Bug 1785817 has been marked as a duplicate of this bug. ***

Comment 30 bjorn 2019-12-23 12:03:56 UTC
*** Bug 1786096 has been marked as a duplicate of this bug. ***

Comment 31 sasseones 2019-12-25 21:59:03 UTC
*** Bug 1786488 has been marked as a duplicate of this bug. ***

Comment 32 fedora_45sg 2019-12-30 18:17:10 UTC
*** Bug 1787076 has been marked as a duplicate of this bug. ***

Comment 33 Drew Dowling 2019-12-30 19:52:39 UTC
Description of problem:
Error recoreded while system was going into hybernation

Version-Release number of selected component:
kernel-core-5.3.16-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd2,gpt2)/vmlinuz-5.3.16-300.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.16-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 9 PID: 4431 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uinput xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c tun bridge stp llc ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter sunrpc vfat fat snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep edac_mce_amd joydev kvm_amd kvm irqbypass snd_seq snd_seq_device snd_pcm snd_timer snd soundcore crct10dif_pclmul crc32_pclmul ghash_clmulni_intel ppdev wmi_bmof parport_pc parport sp5100_tco ccp k10temp i2c_piix4 gpio_amdpt gpio_generic acpi_cpufreq ip_tables hid_logitech_hidpp amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit ttm
 drm_kms_helper drm crc32c_intel nvme hid_logitech_dj r8169 nvme_core wmi pinctrl_amd fuse
CPU: 9 PID: 4431 Comm: kworker/u64:35 Not tainted 5.3.16-300.fc31.x86_64 #1
Hardware name: Micro-Star International Co., Ltd. MS-7B79/X470 GAMING PRO (MS-7B79), BIOS 1.90 03/07/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb5138a65fc10 EFLAGS: 00010002
RAX: 0000000000000020 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff8d576280 RDI: ffff8b970bc3c0b0
RBP: ffff8b97028cde00 R08: 0000000000000000 R09: ffff8b970abbca90
R10: 0000000000000000 R11: ffffffff8d4554c8 R12: 0000000000000001
R13: ffff8b970bc3c0b0 R14: 0000000000000000 R15: ffff8b96ff2a6000
FS:  0000000000000000(0000) GS:ffff8b970e840000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6460010586 CR3: 00000003f9fe4000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 34 opnsrctechtrn 2020-01-02 11:49:27 UTC
*** Bug 1787322 has been marked as a duplicate of this bug. ***

Comment 35 rostislav.egorov 2020-01-02 19:14:20 UTC
*** Bug 1787423 has been marked as a duplicate of this bug. ***

Comment 36 Anton S 2020-01-05 12:10:43 UTC
Description of problem:
System (lenevo x395) showed error after waking up from sleep.
I've reconnected the power several times during sleep.

Version-Release number of selected component:
kernel-core-5.3.16-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt5)/vmlinuz-5.3.16-300.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-fab80f79-8b84-4ef3-b97d-b8102d3efb7c rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.16-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 4406 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat iwlmvm edac_mce_amd kvm_amd ccp mac80211 snd_hda_codec_realtek kvm snd_hda_codec_generic snd_hda_codec_hdmi uvcvideo btusb snd_hda_intel btrtl libarc4 btbcm videobuf2_vmalloc snd_hda_codec btintel videobuf2_memops videobuf2_v4l2 bluetooth snd_hda_core videobuf2_common iwlwifi irqbypass snd_hwdep videodev snd_seq mc snd_seq_device joydev snd_pcm wmi_bmof ecdh_generic sp5100_tco ecc k10temp cfg80211 i2c_piix4 thinkpad_acpi
 snd_pci_acp3x ipmi_devintf rtsx_pci_ms snd_timer ipmi_msghandler ledtrig_audio memstick snd ucsi_acpi typec_ucsi soundcore typec rfkill i2c_scmi acpi_cpufreq ip_tables dm_crypt amdgpu amd_iommu_v2 gpu_sched rtsx_pci_sdmmc i2c_algo_bit mmc_core crct10dif_pclmul ttm crc32_pclmul crc32c_intel drm_kms_helper drm ghash_clmulni_intel nvme serio_raw rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 2 PID: 4406 Comm: kworker/u32:10 Not tainted 5.3.16-300.fc31.x86_64 #1
Hardware name: LENOVO 20NL000HGE/20NL000HGE, BIOS R13ET40W(1.14 ) 10/29/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffb3b5481a7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb1576280 RDI: ffff9808e4175d18
RBP: ffff9808e5999000 R08: 0000000000000000 R09: ffff9808ee83f050
R10: 0000000000000000 R11: ffffffffb14554c8 R12: 0000000000000001
R13: ffff9808e4175d18 R14: 0000000000000000 R15: ffff9808ee51f000
FS:  0000000000000000(0000) GS:ffff9808f0880000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055f48470fa48 CR3: 00000002c39c2000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 37 Solomon Peachy 2020-01-06 04:11:31 UTC
Description of problem:
Suspend/Resume cycle.

Version-Release number of selected component:
kernel-core-5.3.16-300.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.16-300.fc31.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-af87e916-bf64-4aa7-bdce-63bef6a3d9b1 rd.lvm.lv=fedora/swap rhgb quiet usbcore.quirks=0d16:0502:c
crash_function: enable_irq
kernel:         5.3.16-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 4 PID: 21943 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache xfs btrfs xor zstd_compress raid6_pq zstd_decompress ccm uinput rfcomm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat iwlmvm uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 edac_mce_amd mac80211 videobuf2_common kvm_amd snd_hda_codec_realtek ccp btusb snd_hda_codec_generic snd_hda_codec_hdmi btrtl videodev btbcm btintel snd_hda_intel kvm bluetooth libarc4 mc snd_hda_codec snd_hda_core iwlwifi irqbypass snd_hwdep
 snd_seq snd_seq_device ecdh_generic snd_pcm ecc joydev sp5100_tco wmi_bmof k10temp cfg80211 i2c_piix4 snd_pci_acp3x snd_timer rtsx_pci_ms memstick thinkpad_acpi ipmi_devintf ucsi_acpi ledtrig_audio typec_ucsi ipmi_msghandler snd typec soundcore rfkill i2c_scmi acpi_cpufreq binfmt_misc ip_tables dm_crypt amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit crct10dif_pclmul ttm crc32_pclmul drm_kms_helper crc32c_intel drm ghash_clmulni_intel serio_raw nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 4 PID: 21943 Comm: kworker/u32:4 Not tainted 5.3.16-300.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET46W(1.16 ) 10/28/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffff949849b4fc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9f576280 RDI: ffff88fdee680b40
RBP: ffff88fde5eea600 R08: 0000000000000000 R09: ffff88fde592a748
R10: 0000000000000000 R11: ffffffff9f4554c8 R12: 0000000000000001
R13: ffff88fdee680b40 R14: 0000000000000000 R15: ffff88fdebe05000
FS:  0000000000000000(0000) GS:ffff88fdf0900000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005574209503d6 CR3: 00000002a0a82000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 38 anonio 2020-01-06 19:46:56 UTC
*** Bug 1788245 has been marked as a duplicate of this bug. ***

Comment 39 Solomon Peachy 2020-01-07 04:11:48 UTC
Description of problem:
Suspend/Resume cycle.  Saw this with a 5.3 kernel, and still happens with a 5.4 kernel.

Seems to happen maybe once every 3 or 4 suspend cycles.

Version-Release number of selected component:
kernel-core-5.4.7-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.4.7-200.fc31.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-af87e916-bf64-4aa7-bdce-63bef6a3d9b1 rd.lvm.lv=fedora/swap rd.luks.options=discard
crash_function: enable_irq
kernel:         5.4.7-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 6683 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge nf_conntrack_netbios_ns nf_conntrack_broadcast stp llc xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat iwlmvm edac_mce_amd uvcvideo mac80211 videobuf2_vmalloc kvm_amd videobuf2_memops ccp videobuf2_v4l2 videobuf2_common snd_hda_codec_realtek snd_hda_codec_hdmi snd_hda_codec_generic kvm btusb snd_hda_intel btrtl btbcm snd_intel_dspcfg libarc4 videodev btintel snd_hda_codec bluetooth irqbypass mc snd_hda_core snd_hwdep iwlwifi joydev snd_seq ecdh_generic wmi_bmof snd_seq_device ecc snd_pcm sp5100_tco cfg80211 i2c_piix4 ucsi_acpi
 k10temp snd_pci_acp3x snd_timer thinkpad_acpi ipmi_devintf typec_ucsi rtsx_pci_ms memstick ipmi_msghandler ledtrig_audio typec snd soundcore i2c_scmi acpi_cpufreq binfmt_misc ip_tables dm_crypt rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit crct10dif_pclmul ttm crc32_pclmul crc32c_intel drm_kms_helper ghash_clmulni_intel drm nvme serio_raw rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 7 PID: 6683 Comm: kworker/u32:1 Not tainted 5.4.7-200.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET46W(1.16 ) 10/28/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffc21d01b6bc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff8a82abe0 RDI: ffff9faf6e048268
RBP: ffff9faf65d33a00 R08: 0000000000000000 R09: ffff9faf63e9a070
R10: 0000000000000000 R11: ffffffff8a65b948 R12: 0000000000000001
R13: ffff9faf6e048268 R14: 0000000000000000 R15: ffff9faf6e4bb000
FS:  0000000000000000(0000) GS:ffff9faf709c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f17fc03e248 CR3: 0000000389b1e000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 40 Dhruv Gadhavi 2020-01-14 13:27:32 UTC
Description of problem:
It usually happens' on auto-suspend the screen randomly flickers' upnext.

Version-Release number of selected component:
kernel-core-5.4.8-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd1,gpt6)/vmlinuz-5.4.8-200.fc31.x86_64 root=UUID=80df3085-c1f1-4525-8a1a-a1473cb08a5c ro resume=UUID=7adc92bb-e760-48db-8d7b-4068e2541882 rhgb quiet
crash_function: enable_irq
kernel:         5.4.8-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 7183 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: ccm uinput rfcomm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat btrfs xor zstd_compress edac_mce_amd raid6_pq kvm_amd zstd_decompress ccp snd_hda_codec_hdmi rtwpci kvm rtw88 snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio btusb irqbypass btrtl mac80211 uvcvideo btbcm snd_hda_intel crct10dif_pclmul btintel videobuf2_vmalloc crc32_pclmul snd_intel_dspcfg snd_hda_codec videobuf2_memops videobuf2_v4l2 ghash_clmulni_intel snd_hda_core videobuf2_common snd_hwdep bluetooth videodev snd_seq pcspkr
 asus_nb_wmi snd_seq_device asus_wmi wmi_bmof sparse_keymap cfg80211 mc snd_pcm ecdh_generic k10temp joydev sp5100_tco ecc i2c_piix4 rfkill snd_timer libarc4 snd soundcore asus_wireless acpi_cpufreq ip_tables xfs libcrc32c amdgpu nouveau hid_multitouch amd_iommu_v2 gpu_sched mxm_wmi i2c_algo_bit ttm drm_kms_helper crc32c_intel drm serio_raw nvme nvme_core r8169 wmi pinctrl_amd video i2c_hid fuse
CPU: 6 PID: 7183 Comm: kworker/u32:16 Not tainted 5.4.8-200.fc31.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. TUF Gaming FX505DT_FX505DT/FX505DT, BIOS FX505DT.308 09/19/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb37449ce7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff8a82abe0 RDI: ffffa0de55579308
RBP: ffffa0de4c100000 R08: 0000000000000000 R09: ffffa0de4a0294f0
R10: 0000000000000000 R11: ffffffff8a65b948 R12: 0000000000000001
R13: ffffa0de55579308 R14: 0000000000000000 R15: ffffa0de53fe3000
FS:  0000000000000000(0000) GS:ffffa0de57380000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f87ce7f1fe0 CR3: 00000000b1494000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 41 greg 2020-01-28 18:31:12 UTC
*** Bug 1795744 has been marked as a duplicate of this bug. ***

Comment 42 kushaldeveloper 2020-01-29 03:04:39 UTC
*** Bug 1795857 has been marked as a duplicate of this bug. ***

Comment 43 marcikova.m91 2020-02-01 07:08:21 UTC
Description of problem:
waking computer up from sleep

Version-Release number of selected component:
kernel-core-5.4.13-201.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.4.13-201.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet trace_clock=local
crash_function: enable_irq
kernel:         5.4.13-201.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 5 PID: 6323 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm irqbypass snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi rtwpci btusb rtw88 snd_hda_intel crct10dif_pclmul btrtl btbcm btintel snd_intel_dspcfg uvcvideo crc32_pclmul bluetooth snd_hda_codec videobuf2_vmalloc ghash_clmulni_intel mac80211 videobuf2_memops videobuf2_v4l2 videobuf2_common pcspkr snd_hda_core videodev snd_hwdep wmi_bmof k10temp snd_seq
 joydev mc snd_seq_device ecdh_generic sp5100_tco ecc i2c_piix4 snd_pcm cfg80211 snd_pci_acp3x thinkpad_acpi snd_timer rtsx_pci_ms memstick ucsi_acpi ledtrig_audio libarc4 snd typec_ucsi typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crc32c_intel drm_kms_helper serio_raw drm nvme rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 5 PID: 6323 Comm: kworker/u32:5 Not tainted 5.4.13-201.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb043c89afc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb582b2e0 RDI: ffff98a6b73d36b0
RBP: ffff98a6aefe6200 R08: 0000000000000000 R09: ffff98a6b7711068
R10: 0000000000000000 R11: ffffffffb565bac8 R12: 0000000000000001
R13: ffff98a6b73d36b0 R14: 0000000000000000 R15: ffff98a6b5ddb000
FS:  0000000000000000(0000) GS:ffff98a6b8940000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000559ada5f8f76 CR3: 000000014650e000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 44 Jonathan Drolet 2020-02-01 17:49:52 UTC
Description of problem:
Woke up from suspend

Version-Release number of selected component:
kernel-core-5.4.14-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.4.14-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.4.14-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 71049 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: rpcsec_gss_krb5 auth_rpcgss nfsv4 dns_resolver nfs lockd grace fscache uinput rfcomm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat edac_mce_amd snd_hda_codec_realtek kvm_amd snd_hda_codec_generic ccp snd_hda_codec_hdmi iwlmvm kvm snd_hda_intel uvcvideo snd_intel_dspcfg mac80211 btusb btrtl videobuf2_vmalloc btbcm snd_hda_codec videobuf2_memops btintel videobuf2_v4l2 snd_hda_core irqbypass videobuf2_common snd_hwdep libarc4 bluetooth crct10dif_pclmul snd_seq videodev crc32_pclmul iwlwifi
 snd_seq_device snd_pcm mc ghash_clmulni_intel ecdh_generic joydev ecc cfg80211 sp5100_tco wmi_bmof k10temp i2c_piix4 thinkpad_acpi snd_pci_acp3x rtsx_pci_ms snd_timer ucsi_acpi ledtrig_audio memstick typec_ucsi snd ipmi_devintf ipmi_msghandler typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel drm serio_raw nvme rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 7 PID: 71049 Comm: kworker/u32:6 Not tainted 5.4.14-200.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET47W(1.17 ) 12/05/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb0088a247c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb982b360 RDI: ffff988a2e314fe0
RBP: ffff988a264d0600 R08: 0000000000000000 R09: ffff988a25b1fbc8
R10: 0000000000000000 R11: ffffffffb965bac8 R12: 0000000000000001
R13: ffff988a2e314fe0 R14: 0000000000000000 R15: ffff988a2e52f000
FS:  0000000000000000(0000) GS:ffff988a309c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f6245891e38 CR3: 000000019874c000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 45 marcikova.m91 2020-02-05 07:34:04 UTC
Description of problem:
waking the pc up from sleep mode

Version-Release number of selected component:
kernel-core-5.4.13-201.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.4.13-201.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet trace_clock=local
crash_function: enable_irq
kernel:         5.4.13-201.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 4352 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm snd_hda_codec_hdmi uvcvideo snd_hda_codec_conexant snd_hda_codec_generic irqbypass rtwpci snd_hda_intel crct10dif_pclmul videobuf2_vmalloc rtw88 btusb videobuf2_memops snd_intel_dspcfg crc32_pclmul videobuf2_v4l2 btrtl snd_hda_codec btbcm videobuf2_common btintel mac80211 videodev ghash_clmulni_intel snd_hda_core bluetooth snd_hwdep pcspkr snd_seq wmi_bmof mc joydev
 snd_seq_device cfg80211 k10temp snd_pcm sp5100_tco ecdh_generic ecc i2c_piix4 snd_pci_acp3x thinkpad_acpi rtsx_pci_ms ucsi_acpi snd_timer typec_ucsi ledtrig_audio memstick libarc4 snd typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel serio_raw drm nvme rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 6 PID: 4352 Comm: kworker/u32:5 Not tainted 5.4.13-201.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffa713834a3c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffa982b2e0 RDI: ffff967feb598260
RBP: ffff967feb4e6600 R08: 0000000000000000 R09: ffff967fecfe1740
R10: 0000000000000000 R11: ffffffffa965bac8 R12: 0000000000000001
R13: ffff967feb598260 R14: 0000000000000000 R15: ffff967ff26b3000
FS:  0000000000000000(0000) GS:ffff967ff8980000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005645409310b8 CR3: 00000001501e0000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 46 Gabriele Gabrielli 2020-02-07 09:34:14 UTC
Description of problem:
This problem  happens multiple time when my laptop in stop

Version-Release number of selected component:
kernel-core-5.3.7-301.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd0,gpt7)/vmlinuz-5.3.7-301.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.7-301.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 3135 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: squashfs zstd_decompress loop uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat edac_mce_amd kvm_amd ccp kvm snd_hda_codec_conexant rtwpci snd_hda_codec_generic snd_hda_codec_hdmi rtw88 uvcvideo snd_hda_intel videobuf2_vmalloc mac80211 irqbypass videobuf2_memops btusb snd_hda_codec btrtl videobuf2_v4l2 btbcm videobuf2_common crct10dif_pclmul btintel snd_hda_core crc32_pclmul snd_hwdep bluetooth snd_seq videodev snd_seq_device ghash_clmulni_intel cfg80211 joydev mc snd_pcm
 sp5100_tco ecdh_generic wmi_bmof ecc thinkpad_acpi k10temp i2c_piix4 snd_timer ledtrig_audio snd_pci_acp3x ucsi_acpi snd libarc4 typec_ucsi soundcore rfkill typec i2c_scmi acpi_cpufreq ip_tables amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper sdhci_pci crc32c_intel cqhci sdhci drm nvme serio_raw mmc_core nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 0 PID: 3135 Comm: kworker/u32:1 Not tainted 5.3.7-301.fc31.x86_64 #1
Hardware name: LENOVO 20NECTO1WW/20NECTO1WW, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffbb3483153c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9b576340 RDI: ffff98deee021a88
RBP: ffff98dee48c9600 R08: 0000000000000000 R09: ffff98deed6fc280
R10: 0000000000000000 R11: ffffffff9b455488 R12: 0000000000000001
R13: ffff98deee021a88 R14: 0000000000000000 R15: ffff98deebd16c00
FS:  0000000000000000(0000) GS:ffff98def0800000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f5b9cd1444e CR3: 00000003aa33c000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 47 marcikova.m91 2020-02-12 07:48:18 UTC
Description of problem:
waking the laptop up from sleep mode

Version-Release number of selected component:
kernel-core-5.4.17-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.4.17-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.4.17-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 6766 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: usblp rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm irqbypass snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi crct10dif_pclmul snd_hda_intel crc32_pclmul snd_intel_dspcfg btusb rtwpci rtw88 snd_hda_codec btrtl btbcm uvcvideo snd_hda_core btintel ghash_clmulni_intel videobuf2_vmalloc mac80211 snd_hwdep videobuf2_memops bluetooth snd_seq videobuf2_v4l2 videobuf2_common videodev snd_seq_device pcspkr
 wmi_bmof k10temp mc ecdh_generic snd_pcm joydev sp5100_tco ecc snd_pci_acp3x i2c_piix4 cfg80211 thinkpad_acpi snd_timer rtsx_pci_ms ucsi_acpi typec_ucsi ledtrig_audio memstick libarc4 typec snd soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core crc32c_intel amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper serio_raw drm nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 0 PID: 6766 Comm: kworker/u32:5 Not tainted 5.4.17-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffa42c83543c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb782b3e0 RDI: ffff94b7b6f7aa90
RBP: ffff94b7ade04400 R08: 0000000000000000 R09: ffff94b7aeb46060
R10: 0000000000000000 R11: ffffffffb765bac8 R12: 0000000000000001
R13: ffff94b7b6f7aa90 R14: 0000000000000000 R15: ffff94b7b704b000
FS:  0000000000000000(0000) GS:ffff94b7b8800000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000556da34778a8 CR3: 0000000172e0e000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 48 marcikova.m91 2020-02-18 09:27:13 UTC
Description of problem:
waking the laptop up form sleep mode

Version-Release number of selected component:
kernel-core-5.4.17-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.4.17-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.4.17-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 13786 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: usblp rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm irqbypass snd_hda_codec_conexant snd_hda_codec_hdmi snd_hda_codec_generic crct10dif_pclmul uvcvideo rtwpci btusb crc32_pclmul rtw88 snd_hda_intel btrtl videobuf2_vmalloc btbcm btintel videobuf2_memops snd_intel_dspcfg videobuf2_v4l2 ghash_clmulni_intel snd_hda_codec videobuf2_common bluetooth mac80211 snd_hda_core snd_hwdep pcspkr videodev snd_seq snd_seq_device
 wmi_bmof mc joydev ecdh_generic k10temp ecc snd_pcm sp5100_tco thinkpad_acpi cfg80211 i2c_piix4 snd_pci_acp3x snd_timer rtsx_pci_ms ledtrig_audio ucsi_acpi typec_ucsi libarc4 memstick snd typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel serio_raw drm nvme nvme_core rtsx_pci r8169 wmi video pinctrl_amd fuse
CPU: 0 PID: 13786 Comm: kworker/u32:4 Not tainted 5.4.17-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb34403fb7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff8782b3e0 RDI: ffff8b67b6f57000
RBP: ffff8b67aca73a00 R08: 0000000000000000 R09: ffff8b67b74cd988
R10: 0000000000000000 R11: ffffffff8765bac8 R12: 0000000000000001
R13: ffff8b67b6f57000 R14: 0000000000000000 R15: ffff8b67b704b000
FS:  0000000000000000(0000) GS:ffff8b67b8800000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f32ab0ba000 CR3: 00000001545c4000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 49 marcikova.m91 2020-02-22 19:17:30 UTC
Description of problem:
laptop woke up from sleep mode

Version-Release number of selected component:
kernel-core-5.4.17-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd2,gpt5)/vmlinuz-5.4.17-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.4.17-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 5722 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi rtwpci btusb snd_hda_intel uvcvideo rtw88 btrtl irqbypass snd_intel_dspcfg btbcm videobuf2_vmalloc crct10dif_pclmul btintel snd_hda_codec videobuf2_memops crc32_pclmul mac80211 bluetooth videobuf2_v4l2 snd_hda_core videobuf2_common snd_hwdep ghash_clmulni_intel videodev joydev snd_seq sp5100_tco wmi_bmof
 mc pcspkr k10temp snd_seq_device i2c_piix4 ecdh_generic cfg80211 ecc snd_pcm snd_pci_acp3x thinkpad_acpi snd_timer rtsx_pci_ms ucsi_acpi typec_ucsi ledtrig_audio libarc4 memstick snd typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel serio_raw drm uas usb_storage nvme r8169 rtsx_pci nvme_core wmi video pinctrl_amd fuse
CPU: 7 PID: 5722 Comm: kworker/u32:7 Not tainted 5.4.17-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb004c8eb7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffa382b3e0 RDI: ffff936f771c1720
RBP: ffff936f6fbbe800 R08: 0000000000000000 R09: ffff936f6e2ee738
R10: 0000000000000000 R11: ffffffffa365bac8 R12: 0000000000000001
R13: ffff936f771c1720 R14: 0000000000000000 R15: ffff936f77113000
FS:  0000000000000000(0000) GS:ffff936f789c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055dd2c6f2c36 CR3: 000000009e770000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 50 Solomon Peachy 2020-02-24 00:07:03 UTC
Still happening with 5.5.5-200 kernel, with latest system firmware (Lenovo T495, BIOS v1.19)

Comment 51 marcikova.m91 2020-02-24 06:25:05 UTC
Description of problem:
waking the laptop up from sleep mode

Version-Release number of selected component:
kernel-core-5.4.17-200.fc31

Additional info:
reporter:       libreport-2.11.3
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.4.17-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.4.17-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 48235 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uas usb_storage rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm irqbypass snd_hda_codec_conexant snd_hda_codec_generic btusb uvcvideo snd_hda_codec_hdmi btrtl btbcm rtwpci btintel crct10dif_pclmul rtw88 videobuf2_vmalloc snd_hda_intel crc32_pclmul bluetooth videobuf2_memops snd_intel_dspcfg videobuf2_v4l2 snd_hda_codec videobuf2_common mac80211 snd_hda_core snd_hwdep ghash_clmulni_intel videodev snd_seq
 snd_seq_device mc joydev pcspkr snd_pcm ecdh_generic thinkpad_acpi ecc sp5100_tco wmi_bmof k10temp i2c_piix4 ledtrig_audio cfg80211 snd_timer rtsx_pci_ms snd_pci_acp3x snd memstick ucsi_acpi libarc4 typec_ucsi soundcore typec i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper crc32c_intel serio_raw drm r8169 nvme rtsx_pci nvme_core wmi video pinctrl_amd fuse
CPU: 6 PID: 48235 Comm: kworker/u32:5 Not tainted 5.4.17-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 0f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 4e d0 ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffff9ad843ee7c10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffb482b3e0 RDI: ffff8f946d681d68
RBP: ffff8f946d59fa00 R08: 0000000000000000 R09: ffff8f946db1f978
R10: 0000000000000000 R11: ffffffffb465bac8 R12: 0000000000000001
R13: ffff8f946d681d68 R14: 0000000000000000 R15: ffff8f9477115000
FS:  0000000000000000(0000) GS:ffff8f9478980000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005580e4fef066 CR3: 0000000175f6c000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a5/0x3d0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 52 marcikova.m91 2020-02-24 14:54:27 UTC
Description of problem:
waking the laptop up from sleep mode

Version-Release number of selected component:
kernel-core-5.5.5-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd2,gpt5)/vmlinuz-5.5.5-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.5.5-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 6755 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm snd_hda_codec_conexant snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg irqbypass rtwpci snd_hda_codec rtw88 btusb uvcvideo btrtl crct10dif_pclmul crc32_pclmul btbcm snd_hda_core mac80211 btintel videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 snd_hwdep ghash_clmulni_intel snd_seq bluetooth videobuf2_common videodev joydev pcspkr snd_seq_device
 wmi_bmof k10temp sp5100_tco mc snd_pcm cfg80211 i2c_piix4 ecdh_generic ecc snd_timer snd_pci_acp3x thinkpad_acpi libarc4 ucsi_acpi ledtrig_audio snd typec_ucsi typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit rtsx_pci_sdmmc ttm mmc_core drm_kms_helper crc32c_intel serio_raw drm uas usb_storage nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 1 PID: 6755 Comm: kworker/u32:0 Not tainted 5.5.5-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 6e cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb9fe03163c08 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9e832020 RDI: ffff9511f7207190
RBP: ffff9511ed51e800 R08: 0000000000000000 R09: ffff9511ee742bc8
R10: 0000000000000000 R11: ffffffff9e65be88 R12: 0000000000000001
R13: ffff9511f7207190 R14: 0000000000000000 R15: ffff9511f70cb000
FS:  0000000000000000(0000) GS:ffff9511f8a40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005647e18c5cd6 CR3: 000000001277a000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a1/0x3d0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 53 Jérôme 2020-02-25 23:22:29 UTC
*** Bug 1807261 has been marked as a duplicate of this bug. ***

Comment 54 Bernhard Schuster 2020-02-26 10:42:04 UTC
Description of problem:
There is nothing in particular, the message pops up after boot.
The machine which is affected Lenovo ThinkPad T495s (AMD Ryzen based)

Version-Release number of selected component:
kernel-core-5.5.5-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.5.5-200.fc31.x86_64 root=UUID=6fc486f8-7960-4538-86b6-e5085af10153 ro resume=/dev/mapper/luks-a5de9cf9-a431-4be7-8530-cfa5202a7d54 rd.luks.uuid=luks-0c29ab9d-f3eb-4663-91e1-0d3bab167ab8 rd.luks.uuid=luks-a5de9cf9-a431-4be7-8530-cfa5202a7d54 rhgb quiet
crash_function: enable_irq
kernel:         5.5.5-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 2578 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat snd_hda_codec_realtek snd_hda_codec_generic edac_mce_amd snd_hda_codec_hdmi kvm_amd snd_hda_intel snd_intel_dspcfg iwlmvm uvcvideo ccp snd_hda_codec videobuf2_vmalloc videobuf2_memops mac80211 videobuf2_v4l2 kvm btusb videobuf2_common snd_hda_core btrtl libarc4 btbcm videodev btintel bluetooth snd_hwdep snd_seq irqbypass iwlwifi snd_seq_device snd_pcm mc pcspkr ecdh_generic joydev ecc wmi_bmof thinkpad_acpi k10temp snd_timer sp5100_tco
 cfg80211 i2c_piix4 ucsi_acpi ledtrig_audio snd_pci_acp3x typec_ucsi ipmi_devintf ipmi_msghandler typec snd soundcore i2c_scmi acpi_cpufreq ip_tables btrfs blake2b_generic libcrc32c xor zstd_decompress zstd_compress raid6_pq dm_crypt rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crct10dif_pclmul crc32_pclmul drm_kms_helper crc32c_intel drm ghash_clmulni_intel serio_raw nvme rtsx_pci nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 6 PID: 2578 Comm: kworker/u32:10 Not tainted 5.5.5-200.fc31.x86_64 #1
Hardware name: LENOVO 20QJCTO1WW/20QJCTO1WW, BIOS R13ET40W(1.14 ) 10/29/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 6e cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffa38a83533c08 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff8c832020 RDI: ffff96d0248b3ba0
RBP: ffff96d01a13a200 R08: 0000000000000000 R09: ffff96d024c4cbd0
R10: 0000000000000000 R11: ffffffff8c65be88 R12: 0000000000000001
R13: ffff96d0248b3ba0 R14: 0000000000000000 R15: ffff96d024a25000
FS:  0000000000000000(0000) GS:ffff96d026d80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00005654ab60f460 CR3: 00000003c1064000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a1/0x3d0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 55 marcikova.m91 2020-02-29 07:34:22 UTC
Description of problem:
waking the laptop up from sleep mode.

Version-Release number of selected component:
kernel-core-5.5.5-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.5.5-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.5.5-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 864 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uas usb_storage ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT rfcomm ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp rtwpci rtw88 kvm btusb mac80211 snd_hda_codec_conexant snd_hda_codec_generic btrtl uvcvideo irqbypass snd_hda_codec_hdmi btbcm snd_hda_intel btintel snd_intel_dspcfg videobuf2_vmalloc snd_hda_codec videobuf2_memops crct10dif_pclmul videobuf2_v4l2 bluetooth crc32_pclmul snd_hda_core videobuf2_common snd_hwdep ghash_clmulni_intel snd_seq videodev wmi_bmof
 snd_seq_device sp5100_tco pcspkr ecdh_generic k10temp mc i2c_piix4 cfg80211 joydev ecc snd_pcm snd_pci_acp3x thinkpad_acpi snd_timer libarc4 ledtrig_audio snd ucsi_acpi typec_ucsi soundcore typec i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crc32c_intel drm_kms_helper serio_raw drm nvme r8169 rtsx_pci nvme_core wmi video pinctrl_amd fuse
CPU: 2 PID: 864 Comm: kworker/u32:6 Not tainted 5.5.5-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 6e cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffff9e5680fdfc08 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffffa3832020 RDI: ffff904577266dc0
RBP: ffff90456de6dc00 R08: 0000000000000000 R09: ffff90456f90c990
R10: 0000000000000000 R11: ffffffffa365be88 R12: 0000000000000001
R13: ffff904577266dc0 R14: 0000000000000000 R15: ffff90457728f000
FS:  0000000000000000(0000) GS:ffff904578a80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000556965d21fe0 CR3: 0000000186186000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a1/0x3d0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 56 marcikova.m91 2020-02-29 15:18:08 UTC
Description of problem:
waking the laptop up from sleep mode.

Version-Release number of selected component:
kernel-core-5.5.5-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.5.5-200.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.5.5-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 4796 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uas usb_storage ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter bnep binfmt_misc sunrpc vfat fat squashfs zstd_decompress loop edac_mce_amd kvm_amd ccp kvm rtwpci rtw88 snd_hda_codec_conexant snd_hda_codec_generic irqbypass snd_hda_codec_hdmi btusb btrtl snd_hda_intel btbcm btintel snd_intel_dspcfg crct10dif_pclmul mac80211 bluetooth uvcvideo snd_hda_codec crc32_pclmul videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common snd_hda_core ghash_clmulni_intel snd_hwdep videodev pcspkr k10temp mc snd_seq
 ecdh_generic sp5100_tco wmi_bmof i2c_piix4 ecc joydev snd_seq_device cfg80211 snd_pcm usblp snd_pci_acp3x snd_timer thinkpad_acpi libarc4 ucsi_acpi typec_ucsi ledtrig_audio snd typec soundcore i2c_scmi acpi_cpufreq ip_tables rfkill amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm crc32c_intel drm_kms_helper serio_raw drm nvme rtsx_pci r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 0 PID: 4796 Comm: kworker/u32:5 Not tainted 5.5.5-200.fc31.x86_64 #1
Hardware name: LENOVO 20NE000GMC/20NE000GMC, BIOS R11ET31W (1.11 ) 11/20/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 6e cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffbac14828fc08 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9d832020 RDI: ffff8fef77b826f8
RBP: ffff8fef6dd1e400 R08: 0000000000000000 R09: ffff8fef7741d2b0
R10: 0000000000000000 R11: ffffffff9d65be88 R12: 0000000000000001
R13: ffff8fef77b826f8 R14: 0000000000000000 R15: ffff8fef77289000
FS:  0000000000000000(0000) GS:ffff8fef78a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055a819df1766 CR3: 0000000145218000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3a1/0x3d0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x172/0x210 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 57 Colby Jenn 2020-03-03 09:53:11 UTC
Description of problem:
This error shows up whenever I suspend/resume.

Other then the error reporting popup, there don't seem to be any noticeable effects.

This system was suffering with serious issues locking up when returning from suspend; They
got fixed when I updated from kernel 5.4.18 to 5.5.6. I have no clue if it's related, but it's worth
mentioning.

Version-Release number of selected component:
kernel-core-5.5.7-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd0,gpt5)/vmlinuz-5.5.7-200.fc31.x86_64 root=/dev/mapper/laptop-root ro resume=/dev/mapper/laptop-swap rd.lvm.lv=laptop/root rd.lvm.lv=laptop/swap
crash_function: enable_irq
kernel:         5.5.7-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 5 PID: 60 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat edac_mce_amd kvm_amd snd_hda_codec_conexant snd_hda_codec_generic ccp snd_hda_codec_hdmi ledtrig_audio kvm snd_hda_intel snd_intel_dspcfg irqbypass snd_hda_codec rtwpci rtw88 crct10dif_pclmul btusb snd_hda_core crc32_pclmul uvcvideo btrtl mac80211 btbcm videobuf2_vmalloc snd_hwdep btintel videobuf2_memops videobuf2_v4l2 ghash_clmulni_intel videobuf2_common snd_seq hid_sensor_accel_3d bluetooth snd_seq_device hid_sensor_trigger
 pcspkr wmi_bmof videodev snd_pcm hid_sensor_iio_common joydev sp5100_tco cfg80211 i2c_piix4 snd_pci_acp3x ecdh_generic mc k10temp snd_timer ecc snd soundcore ideapad_laptop libarc4 sparse_keymap bmc150_accel_spi regmap_spi bmc150_accel_i2c bmc150_accel_core industrialio_triggered_buffer kfifo_buf industrialio acpi_cpufreq ip_tables rfkill amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit hid_sensor_hub ttm drm_kms_helper drm hid_multitouch wacom sdhci_pci cqhci nvme crc32c_intel sdhci serio_raw mmc_core nvme_core wmi video pinctrl_amd i2c_hid fuse
CPU: 5 PID: 60 Comm: kworker/u32:1 Not tainted 5.5.7-200.fc31.x86_64 #1
Hardware name: LENOVO 81SS/LNVNB161216, BIOS AGCN25WW(V1.08) 11/13/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 be cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffaa47c035fc08 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff89831f20 RDI: ffff9e57c24a8e30
RBP: ffff9e57b9af3600 R08: 0000000000000000 R09: ffff9e57b977e720
R10: 0000000000000000 R11: ffffffff8965bc48 R12: 0000000000000001
R13: ffff9e57c24a8e30 R14: 0000000000000000 R15: ffff9e57bb251c00
FS:  0000000000000000(0000) GS:ffff9e57c4b40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000565005acdb26 CR3: 000000025cf70000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3ba/0x3e0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x1a0/0x1e0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x176/0x220 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 58 Massimiliano M. 2020-03-03 19:30:36 UTC
Description of problem:
I don't know exactly how, it's not the first time.
Most of the time it happens soon after I open the lid of my laptop, but sometimes it just happens randomnly.

Version-Release number of selected component:
kernel-core-5.3.16-300.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.16-300.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.16-300.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 3790 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat edac_mce_amd kvm_amd iwlmvm ccp kvm mac80211 snd_hda_codec_realtek btusb snd_hda_codec_generic btrtl btbcm btintel snd_hda_codec_hdmi irqbypass snd_hda_intel libarc4 bluetooth snd_hda_codec uvcvideo videobuf2_vmalloc videobuf2_memops iwlwifi videobuf2_v4l2 crct10dif_pclmul snd_hda_core videobuf2_common crc32_pclmul snd_hwdep videodev snd_seq ghash_clmulni_intel snd_seq_device mc joydev ecdh_generic cfg80211 snd_pcm wmi_bmof ecc
 rtsx_pci_ms sp5100_tco k10temp thinkpad_acpi snd_pci_acp3x i2c_piix4 snd_timer memstick ledtrig_audio ipmi_devintf ucsi_acpi ipmi_msghandler typec_ucsi snd soundcore typec rfkill i2c_scmi acpi_cpufreq ip_tables amdgpu rtsx_pci_sdmmc mmc_core amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper drm crc32c_intel serio_raw rtsx_pci nvme r8169 nvme_core wmi video pinctrl_amd fuse
CPU: 6 PID: 3790 Comm: kworker/u32:5 Not tainted 5.3.16-300.fc31.x86_64 #1
Hardware name: LENOVO 20QJCTO1WW/20QJCTO1WW, BIOS R13ET40W(1.14 ) 10/29/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffba7a406cfc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9c576280 RDI: ffff9f16ee177840
RBP: ffff9f16e60b5600 R08: 0000000000000000 R09: ffff9f16e4c1d2a0
R10: 0000000000000000 R11: ffffffff9c4554c8 R12: 0000000000000001
R13: ffff9f16ee177840 R14: 0000000000000000 R15: ffff9f16ee539000
FS:  0000000000000000(0000) GS:ffff9f16f0980000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000560b4b3ee976 CR3: 000000036f53a000 CR4: 00000000003406e0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x3f/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40

Comment 59 Luya Tshimbalanga 2020-03-05 11:02:09 UTC
Description of problem:
Resuming a desktop equipped with Ryzen 5 3600 and Radeon RX 560 4GB

Version-Release number of selected component:
kernel-core-5.5.7-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd1,gpt5)/vmlinuz-5.5.7-200.fc31.x86_64 root=UUID=aa6a9811-c913-4ded-8a50-b233b0a82b7d ro resume=UUID=6197a341-9ea1-4435-8ee9-ccd25608c1c3 rhgb quiet
crash_function: enable_irq
kernel:         5.5.7-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 6 PID: 25579 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: hid_logitech ff_memless uas usb_storage uinput nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter sunrpc vfat fat snd_hda_codec_realtek edac_mce_amd snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi snd_hda_intel snd_intel_dspcfg snd_hda_codec kvm snd_hda_core snd_hwdep irqbypass snd_seq snd_seq_device snd_pcm crct10dif_pclmul crc32_pclmul eeepc_wmi asus_wmi snd_timer sparse_keymap rfkill snd video sp5100_tco ghash_clmulni_intel joydev pcspkr wmi_bmof mxm_wmi k10temp i2c_piix4 ccp soundcore acpi_cpufreq ip_tables hid_logitech_hidpp amdgpu amd_iommu_v2 gpu_sched ttm drm_kms_helper drm
 crc32c_intel igb hid_logitech_dj nvme dca i2c_algo_bit nvme_core wmi pinctrl_amd fuse
CPU: 6 PID: 25579 Comm: kworker/u64:24 Not tainted 5.5.7-200.fc31.x86_64 #1
Hardware name: System manufacturer System Product Name/PRIME X570-PRO, BIOS 1405 11/19/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 be cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffa4f88a967c08 EFLAGS: 00010002
RAX: 0000000000000020 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff90831f20 RDI: ffff91337aea5b70
RBP: ffff91336feab200 R08: 0000000000000000 R09: ffff9133714251d0
R10: 0000000000000000 R11: ffffffff9065bc48 R12: 0000000000000001
R13: ffff91337aea5b70 R14: 0000000000000000 R15: ffff913371819800
FS:  0000000000000000(0000) GS:ffff91337eb80000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 000055b963c3b7d6 CR3: 0000000440a7e000 CR4: 0000000000340ee0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3ba/0x3e0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x1a0/0x1e0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x176/0x220 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 60 Solomon Peachy 2020-03-08 17:12:21 UTC
Description of problem:
resuming from sleep.  

Version-Release number of selected component:
kernel-core-5.5.7-200.fc31

Additional info:
reporter:       libreport-2.12.0
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.5.7-200.fc31.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/root rd.luks.uuid=luks-af87e916-bf64-4aa7-bdce-63bef6a3d9b1 rd.lvm.lv=fedora/swap rd.luks.options=discard rhgb quiet
crash_function: enable_irq
kernel:         5.5.7-200.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 6616 at kernel/irq/chip.c:210 irq_startup+0xe2/0xf0
Modules linked in: uinput rfcomm ccm xt_CHECKSUM xt_MASQUERADE nf_nat_tftp nf_conntrack_tftp tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat iwlmvm mac80211 libarc4 uvcvideo snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi edac_mce_amd videobuf2_vmalloc videobuf2_memops snd_hda_intel snd_intel_dspcfg iwlwifi btusb videobuf2_v4l2 kvm_amd ccp btrtl videobuf2_common btbcm snd_hda_codec btintel kvm videodev bluetooth mc snd_hda_core irqbypass snd_hwdep snd_seq cfg80211 ecdh_generic ecc joydev snd_seq_device ucsi_acpi snd_pcm wmi_bmof thinkpad_acpi sp5100_tco
 k10temp snd_pci_acp3x typec_ucsi snd_timer ipmi_devintf i2c_piix4 ledtrig_audio ipmi_msghandler snd typec soundcore i2c_scmi acpi_cpufreq binfmt_misc ip_tables dm_crypt rfkill amdgpu rtsx_pci_sdmmc mmc_core crct10dif_pclmul amd_iommu_v2 gpu_sched crc32_pclmul i2c_algo_bit crc32c_intel ttm drm_kms_helper ghash_clmulni_intel drm serio_raw rtsx_pci nvme nvme_core r8169 wmi video pinctrl_amd fuse
CPU: 0 PID: 6616 Comm: kworker/u32:6 Not tainted 5.5.7-200.fc31.x86_64 #1
Hardware name: LENOVO 20NJCTO1WW/20NJCTO1WW, BIOS R12ET49W(1.19 ) 01/06/2020
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe2/0xf0
Code: f6 4c 89 e7 e8 1f 30 00 00 85 c0 75 21 4c 89 e7 31 d2 4c 89 ee e8 be cf ff ff 48 89 ef e8 b6 fe ff ff 41 89 c4 e9 55 ff ff ff <0f> 0b eb b6 0f 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89
RSP: 0018:ffffb2bc0834fc08 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff9a831f20 RDI: ffff9e869ce81e08
RBP: ffff9e8693038e00 R08: 0000000000000000 R09: ffff9e869d0634f8
R10: 0000000000000000 R11: ffffffff9a65bc48 R12: 0000000000000001
R13: ffff9e869ce81e08 R14: 0000000000000000 R15: ffff9e869c2cec00
FS:  0000000000000000(0000) GS:ffff9e86a0a00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000560a8707b066 CR3: 00000006bde46000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x3ba/0x3e0 [nvme]
 ? wake_up_q+0xa0/0xa0
 __nvme_disable_io_queues+0x1a0/0x1e0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x176/0x220 [nvme]
 nvme_suspend+0x52/0x150 [nvme]
 pci_pm_suspend+0x74/0x160
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x214/0x4c0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x1b5/0x360
 worker_thread+0x50/0x3c0
 kthread+0xf9/0x130
 ? process_one_work+0x360/0x360
 ? kthread_park+0x90/0x90
 ret_from_fork+0x22/0x40

Comment 61 Aleksandra 2020-03-10 11:41:05 UTC
*** Bug 1812012 has been marked as a duplicate of this bug. ***

Comment 62 b3lac 2020-03-13 09:35:42 UTC
Description of problem:
Laptop went to sleep normally, after closing the lid. About 20 minutes later I opened the lid to find that it wouldn't load the system (started to, the mouse cursor was visible but non responsive).

In the past, closing and re-opening the lid would have fixed the problem. However, this time it didn't so I hard reset the laptop and had multiple errors, all but this one unable to be reported, filling my notifications up. 

Version-Release number of selected component:
kernel-core-5.3.7-301.fc31

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.7-301.fc31.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: enable_irq
kernel:         5.3.7-301.fc31.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 3381 at kernel/irq/chip.c:210 irq_startup+0xe6/0xf0
Modules linked in: rfcomm ccm nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_REJECT nf_reject_ipv6 ip6t_rpfilter ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter cmac bnep sunrpc vfat fat edac_mce_amd kvm_amd ccp kvm ath10k_pci ath10k_core snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_codec_hdmi mac80211 snd_hda_intel btusb btrtl btbcm btintel snd_hda_codec bluetooth uvcvideo irqbypass snd_hda_core crct10dif_pclmul snd_hwdep videobuf2_vmalloc videobuf2_memops snd_seq crc32_pclmul snd_seq_device videobuf2_v4l2 ath videobuf2_common snd_pcm cfg80211 videodev ghash_clmulni_intel mc acer_wmi joydev sparse_keymap wmi_bmof snd_timer ecdh_generic ecc sp5100_tco k10temp i2c_piix4
 snd_pci_acp3x snd rfkill soundcore libarc4 acer_wireless acpi_cpufreq ip_tables amdgpu amd_iommu_v2 gpu_sched i2c_algo_bit ttm drm_kms_helper hid_multitouch crc32c_intel drm serio_raw nvme r8169 nvme_core video wmi i2c_hid pinctrl_amd uas usb_storage fuse
CPU: 0 PID: 3381 Comm: kworker/u32:15 Not tainted 5.3.7-301.fc31.x86_64 #1
Hardware name: Acer Aspire A515-43/Grumpy_PK, BIOS V1.06 09/26/2019
Workqueue: events_unbound async_run_entry_fn
RIP: 0010:irq_startup+0xe6/0xf0
Code: e8 ef 2f 00 00 85 c0 0f 85 83 09 00 00 4c 89 e7 31 d2 4c 89 ee e8 7a cf ff ff 48 89 ef e8 b2 fe ff ff 41 89 c4 e9 51 ff ff ff <0f> 0b eb b2 66 0f 1f 44 00 00 0f 1f 44 00 00 55 48 89 fd 53 48 8b
RSP: 0018:ffffa97482f6fc10 EFLAGS: 00010002
RAX: 0000000000000010 RBX: 0000000000000001 RCX: 0000000000000040
RDX: 0000000000000000 RSI: ffffffff91576340 RDI: ffff9985a146e5f0
RBP: ffff9985a07dd200 R08: 0000000000000000 R09: ffff9985a00a4710
R10: 0000000000000000 R11: ffffffff91455488 R12: 0000000000000001
R13: ffff9985a146e5f0 R14: 0000000000000000 R15: ffff9985a726b000
FS:  0000000000000000(0000) GS:ffff9985ab000000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ff2b0010586 CR3: 0000000067324000 CR4: 00000000003406f0
Call Trace:
 enable_irq+0x48/0x90
 nvme_poll_irqdisable+0x38b/0x3b0 [nvme]
 ? wake_up_q+0x60/0x60
 __nvme_disable_io_queues+0x19d/0x1d0 [nvme]
 ? nvme_del_queue_end+0x20/0x20 [nvme]
 nvme_dev_disable+0x15c/0x210 [nvme]
 nvme_suspend+0x40/0x130 [nvme]
 pci_pm_suspend+0x72/0x130
 ? pci_pm_freeze+0xb0/0xb0
 dpm_run_callback+0x4f/0x140
 __device_suspend+0x121/0x4b0
 async_suspend+0x1b/0x90
 async_run_entry_fn+0x39/0x160
 process_one_work+0x19d/0x340
 worker_thread+0x50/0x3b0
 kthread+0xfb/0x130
 ? process_one_work+0x340/0x340
 ? kthread_park+0x80/0x80
 ret_from_fork+0x22/0x40


Note You need to log in before you can comment on or make changes to this bug.